Loading...
Searching...
No Matches
avl_map File Reference

AVL map. More...

`#include <l4/cxx/std_alloc>`
`#include <l4/cxx/std_ops>`
`#include <l4/cxx/pair>`
`#include <l4/cxx/avl_set>`
Include dependency graph for avl_map:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cxx::Bits::Avl_map_get_key< KEY_TYPE >
| Key-getter for Avl_map. More...
class | cxx::Avl_map< KEY_TYPE, DATA_TYPE, COMPARE, ALLOC >
| AVL tree based associative container. More...

## Namespaces

namespace | cxx
| Our C++ library.
namespace | cxx::Bits
| Internal helpers for the cxx package.

## Detailed Description

AVL map.

Definition in file avl_map.